from datetime import date

from django.core.management.base import BaseCommand

from castellum_auth.models import User


class Command(BaseCommand):
    help = "Deactivate users accounts with expired account lifetime"

    def handle(self, *args, **options):
        expired_users = User.objects.filter(is_active=True, expiration_date__lt=date.today())
        expired_users.update(is_active=False)
